import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listInfo(query) {
  return request({
    url: '/system/info/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getInfos(documentId) {
  return request({
    url: '/system/info/' + documentId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addInfo(data) {
  return request({
    url: '/system/info',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateInfo(data) {
  return request({
    url: '/system/info',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delInfo(documentId) {
  return request({
    url: '/system/info/' + documentId,
    method: 'delete'
  })
}

export function getAllList(documentId) {
  return request({
    url: '/system/info/all/' + documentId,
    method: 'get'
  })
}
